Merge bpython 0.9.5.2-3 (universe) from Debian testing (main)

Bug #501481 reported by Charlie_Smotherman on 2009-12-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
bpython (Ubuntu)
Wishlist
Unassigned

Bug Description

Please merge bpython 0.9.5.2-3 (universe) from Debian testing (main)

* Merge from debian testing, remaining changes:
       - Bumped XS-Python-Version to 2.6 so package builds correctly.
       - Updated Maintainers field to Ubuntu Developers.
       - Bumped debhelper to (7.0.50) since dh --with quilt is being used in
          debian/rules.

Changelog entries since current lucid version 0.9.5.2-1ubuntu1:

bpython (0.9.5.2-3) unstable; urgency=low

  * debian/postinst: only do something if an "old-version" is
    passed to the script (Closes: #560229)

 -- David Paleino <email address hidden> Fri, 11 Dec 2009 18:19:39 +0100

bpython (0.9.5.2-2) unstable; urgency=low

  * debian/control:
    - updated my email address
    - DMUA removed
    - add quilt Build-Dependency
    - add python-support Build-Dependency
  * debian/patches/:
    - 01-add_write_to_FakeStdin.patch added (Closes: #558054)
    - 02-add_flush_to_FakeStdin.patch added
  * debian/rules, add --with quilt
  * debian/postinst, debian/postrm added, correctly handle removal of
    .pyc files after the move to /usr/share/pyshared

 -- David Paleino <email address hidden> Sun, 29 Nov 2009 00:51:56 +0100

Changed in bpython (Ubuntu):
importance: Undecided → Wishlist
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bpython - 0.9.5.2-2ubuntu1

---------------
bpython (0.9.5.2-2ubuntu1) lucid; urgency=low

  [ Charlie Smotherman ]
  * Merge from debian testing, remaining changes: (LP: #501481)
     - Bumped XS-Python-Version to 2.6 so package builds correctly.
     - Bumped debhelper to (7.0.50) since dh --with quilt is being used in
        debian/rules.
  * Delete stale .pyc files also for other python versions in postinst and
    prerm.

  [ Michael Bienia ]
  * debian/postinst: check if $2 got supplied before passing it to dpkg
    --compare-versions (avoids error message on fresh installs).

bpython (0.9.5.2-2) unstable; urgency=low

  * debian/control:
    - updated my email address
    - DMUA removed
    - add quilt Build-Dependency
    - add python-support Build-Dependency
  * debian/patches/:
    - 01-add_write_to_FakeStdin.patch added (Closes: #558054)
    - 02-add_flush_to_FakeStdin.patch added
  * debian/rules, add --with quilt
  * debian/postinst, debian/postrm added, correctly handle removal of
    .pyc files after the move to /usr/share/pyshared
 -- Michael Bienia <email address hidden> Thu, 31 Dec 2009 00:27:08 +0100

Changed in bpython (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers